#include "CSVParser.h"

std::wistream& operator>>(std::wistream& str, CSVRow& data)
{
    data.ReadNextRow (str);
    return str;
}

void CSVRow::ReadNextRow (std::wistream& str)
{
	std::wstring         line;
	std::getline (str, line);

	std::wistringstream   lineStream (line);
	std::wstring         cell;

	data_.clear ();
	while (std::getline (lineStream, cell, Separator_))
	{
		data_.push_back(cell);
	}
	// This checks for a trailing comma with no data after it.
	if (!lineStream && cell.empty ())
	{
		// If there was a trailing comma then add an empty element.
		data_.push_back (L"");
	}
}
