/*----------------------------------------------------------------------+
|																		|
| Copyright , Bentley Systems, Incorporated, 							|
| All rights reserved.													|
|																		|
| Limited permission is hereby granted to reproduce and modify this		|
| copyrighted material provided that the resulting code is used only in |
| conjunction with Bentley Systems products under the terms of the		|
| license agreement provided therein, and that this notice is retained	|
| in its entirety in any such reproduction or modification.				|
|																		|
+----------------------------------------------------------------------*/
#if !defined(DATASHEET_H_INCLUDED_)
#define DATASHEET_H_INCLUDED_

#include <DgnPlatform/DgnPlatformBaseType.r.h>
#include <Mstn/MicroStation.r.h>
///	<summary>The original DataSheet example was created by Mark Anderson for MicroStation V8.
///	This version, by LA Solutions, is for MicroStation CONNECT and has some added features.
///	</summary>
///	<remarks>
///	In particular, we wanted to demonstrate how to add editing controls to a
///	ListModel hosted by a ListBox.
///	</remarks>
/*----------------------------------------------------------------------+
|                                                                       |
|   datasheet - datasheet source code. 									|
|                                                                       |
+----------------------------------------------------------------------*/

enum DialogIDs
{
	DIALOGID_SpreadSheet				= 1,
};

enum ListBoxIDs
{
	LISTBOXID_CellsSheet				= 1,
};

enum MenuIDs
{
	MENUBAR_MainMenuBar					= 1,
	DSPULLDOWNMENUID_File,
	MENUSEARCHID_File,
	MENUSEARCHID_Help,
	MENUSEARCHID_Exit,
};

enum ComboBoxIDs
{
	COMBOBOXID_DataSheetEditor			= 1,
	COMBOBOXID_Levels,
	COMBOBOXID_DataSheetYesNo,
	COMBOBOXID_PerRow,
};

enum TextItemIDs
{
	TEXTID_UserInfo						= 1,
	TEXTID_Color,
};

enum PushButtonIDs
{
	PUSHBUTTONID_TSColorByLevel			= 1,
};

enum ToggleButtonIDs
{
	TOGGLEBUTTONID_CheckBox				= 1,
};

enum ColorChooserIDs
{
	COLORCHOOSERID_Color				= 1,
};

enum DialogItemListIDs
{
	DILISTID_TextStyleColorPicker		= 1,
	DILISTID_ColorChooser,
	DILISTID_LevelChooser,
	DILISTID_TextEditor,
};

enum ContainerIDs
{
	CONTAINERID_TextStyleColorPicker	= 1,
	CONTAINERID_ColorChooser,
	CONTAINERID_LevelChooser,
	CONTAINERID_TextEditor,
};

enum RasterIconIDs
{
	ICONID_SmallCheck					= 1,
	ICONID_ColorCheckMark,
	ICONID_SmallCross,
	ICONID_ColorPatch,
};

enum HookItemIDs
{
	HOOKITEMID_ListBox	    			= 1,
	HOOKITEMID_ComboBoxText,
	HOOKITEMID_ListCellTextEditor,
	HOOKITEMID_ColorChooser,
	HOOKITEMID_ColorByLevelButton,
	HOOKITEMID_ComboBoxLevels,
	HOOKITEMID_TextColor,
	HOOKITEMID_ComboBoxYesNo,
	HOOKITEMID_ToggleButton,
	HOOKITEMID_ColorPicker,
	HOOKITEMID_ComboBoxPerRow,
};

typedef struct globaldata
{
	int     	colorNumber;
	wchar_t		stringVal	[64];

} GlobalData, *GlobalDataP;


#endif // !defined(DATASHEET_H_INCLUDED_)
