/*----------------------------------------------------------------------+
|									|
| Copyright , Bentley Systems, Incorporated, 			|
| All rights reserved.							|
|									|
|									|
| Limited permission is hereby granted to reproduce and modify this	|
| copyrighted material provided that the resulting code is used only in |
| conjunction with Bentley Systems products under the terms of the	|
| license agreement provided therein, and that this notice is retained	|
| in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   $Workfile:   datasheet  $
|   $Revision:  $
|   	$Date:  $
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|                                                                       |
|   datasheet - datasheet source code. |
|                                                                       |
+----------------------------------------------------------------------*/
#pragma Ident "LA Solutions: DataSheet command table"
#pragma         suppressREQCmds
/*----------------------------------------------------------------------+
|									|
|   Include Files   							|
|									|
+----------------------------------------------------------------------*/
#include        <Mstn/MdlApi/rscdefs.r.h>
#include        <Mstn/MdlApi/cmdclass.r.h>

/*----------------------------------------------------------------------+
|									|
|   Local Defines							|
|									|
+----------------------------------------------------------------------*/
enum Commands
{
	CT_NONE			= 0,
	CT_MAIN			= 1,
	CT_DATASHEET,
	CT_FILE,
	CT_HELP,
	CT_CSVFILE,
	CT_OPENCLOSE,
	CT_OPENSAVE,
};

/*----------------------------------------------------------------------+
|                                                                       |
|   Main (Root) command word table					|
|                                                                       |
+----------------------------------------------------------------------*/
CommandTable   CT_MAIN     =
{
    {1,   CT_DATASHEET,   DIALOGOPEN,      REQ,	"DATASHEET"},
}

CommandTable	CT_DATASHEET =
{
	{1,	CT_FILE,		DIALOGOPEN,		REQ,		"FILE" },
	{2,	CT_OPENCLOSE,	PARAMETERS,		REQ,		"DIALOG"},
	{3,	CT_HELP,  		PARAMETERS,		REQ,		"HELP"},
};

CommandTable	CT_FILE =
{
    { 1,	CT_OPENSAVE,	DIALOGOPEN,	REQ,		"CSV" },
    { 4,	CT_NONE,		INHERIT,	DEF,		"EXIT" },
};

CommandTable   CT_OPENCLOSE =
{
    { 1,  CT_NONE,	DIALOGOPEN,	DEF,		"OPEN" },
    { 2,  CT_NONE,	DIALOGOPEN,	DEF,		"CLOSE" },

}

CommandTable   CT_OPENSAVE =
{
    { 1,  CT_NONE,	DIALOGOPEN,	DEF,		"OPEN" },
    { 2,  CT_NONE,	DIALOGOPEN,	DEF,		"SAVEAS" },

}

CommandTable   CT_HELP =
{
    { 1,  CT_NONE,	INHERIT,	DEF,		"ABOUT" },

}


