/*----------------------------------------------------------------------+
|									|
| Copyright , Bentley Systems, Incorporated, 			|
| All rights reserved.							|
|									|
|									|
| Limited permission is hereby granted to reproduce and modify this	|
| copyrighted material provided that the resulting code is used only in |
| conjunction with Bentley Systems products under the terms of the	|
| license agreement provided therein, and that this notice is retained	|
| in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
#pragma Ident "LA Solutions: DataSheet dialog definitions"
/*----------------------------------------------------------------------+
|                                                                       |
|   datasheet - datasheet source code. |
|                                                                       |
+----------------------------------------------------------------------*/
#include    <Mstn/MdlApi/dlogbox.r.h>
#include    <Mstn/MdlApi/dlogids.r.h>
#include 	<Mstn/MdlApi/rscdefs.r.h>

#include    "datasheet.h"
#include    "datasheetcmd.h"
#include    <datasheettext.h>


DialogBoxRsc    DIALOGID_SpreadSheet =
    {
    DIALOGATTR_DEFAULT | DIALOGATTR_MOTIONTOITEMS | DIALOGATTR_AUTOUNLOADAPP,
    	76*XC, 12*YC, NOHELP, MHELP, NOHOOK, NOPARENTID, "LA Solutions DataSheet",
    {
    {{0,0,0,0}, MenuBar, MENUBAR_MainMenuBar, ON, 0, "", ""},
    {{XC, D_ROW(3),XC*72,0}, ListBox, LISTBOXID_CellsSheet, ON, 0, "", ""},
    }
    };

DItem_MenuBarRsc MENUBAR_MainMenuBar =
    {
    NOHOOK,NOARG,
    	{
	{PulldownMenu, 		PULLDOWNMENUID_File			},
	{PulldownMenu,		PULLDOWNMENUID_Help			},
    	}
    };

DItem_PulldownMenuRsc   PULLDOWNMENUID_File =
    {
    NOHELP, MHELP, NOHOOK, ON | ALIGN_LEFT, "File",
    	{
	/* the open option */
    	{"~Open", NOACCEL, ON, NOMARK,0, NOSUBMENU,NOHELP,MHELP,
	NOHOOK, MENUSEARCHID_File, CMD_DATASHEET_FILE_CSV_OPEN, OTASKID,""},
	/* the save option */
    	{"~Save", NOACCEL, ON, NOMARK,0, NOSUBMENU,NOHELP,MHELP,
	NOHOOK, MENUSEARCHID_Help, CMD_DATASHEET_FILE_CSV_SAVEAS, OTASKID,""},
    	{"-", NOACCEL, ON, NOMARK,0, NOSUBMENU,NOHELP,MHELP,
	NOHOOK, 0, NOCMD, OTASKID,""},
	/* the exit option */
    	{"E~xit", NOACCEL, ON, NOMARK,0, NOSUBMENU,NOHELP,MHELP,
	NOHOOK, MENUSEARCHID_Exit, CMD_DATASHEET_FILE_EXIT, OTASKID,""},
	}

    };

DItem_PulldownMenuRsc   PULLDOWNMENUID_Help =
    {
    NOHELP, MHELP, NOHOOK, ON | ALIGN_RIGHT, "Help",
    	{
    	{"~About", NOACCEL, ON, NOMARK,0, NOSUBMENU,NOHELP,MHELP,
	NOHOOK, MENUSEARCHID_Help, CMD_DATASHEET_HELP_ABOUT, OTASKID,""},
	}

    };

DItem_ListBoxRsc      LISTBOXID_CellsSheet =
    {
    NOHELP, MHELP, HOOKITEMID_ListBox, NOARG,
    LISTATTR_DRAWPREFIXICON | LISTATTR_EDITABLE |
    LISTATTR_GRID | LISTATTR_INDEPENDENTCOLS,
    6, 0, "",
    	{
	{12*XC, 12, ALIGN_CENTER, "Text Item"	},
	{12*XC, 12, ALIGN_CENTER, "Text Cbo"	},
	{10*XC, 10, ALIGN_CENTER, "Click"		},
	{10*XC, 10, ALIGN_CENTER, "Chooser"		},
	{12*XC, 12, ALIGN_CENTER, "Level Cbo"	},
	{12*XC, 16, ALIGN_CENTER, "Row Cbo"	},
    	}
    };


DItem_PulldownMenuRsc   DSPULLDOWNMENUID_File =
    {
    NOHELP,MHELP,NOHOOK,ON|ALIGN_LEFT, "File",
    	{
	/* the open option */
    	{"~Open", NOACCEL, ON, NOMARK,0, NOSUBMENU,NOHELP,MHELP,
	NOHOOK, MENUSEARCHID_File, CMD_DATASHEET_FILE_CSV_OPEN, OTASKID,""},
	/* the save option */
    	{"~Save", NOACCEL, ON, NOMARK,0, NOSUBMENU,NOHELP,MHELP,
	NOHOOK, MENUSEARCHID_File, CMD_DATASHEET_FILE_CSV_SAVEAS, OTASKID,""},
	}

    };

DItem_ComboBoxRsc COMBOBOXID_DataSheetEditor =
    {
    NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP,
    HOOKITEMID_ComboBoxText, NOARG,
    4, "", "", "", "", NOMASK,
    0/*NO STRINGLIST*/, 5, 0, 0/*fit to Text*/, 0,
    COMBOATTR_READONLY,
    "",
    "",
{
{0, 5, 0, ""},
}
    };

DItem_ComboBoxRsc COMBOBOXID_Levels =
    {
    NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP,
    HOOKITEMID_ComboBoxLevels, NOARG,
    16, "", "", "", "", NOMASK,
    0/*NO STRINGLIST*/, 5/*nRows*/, 0/*gapWidth*/, 0/*fit to Text*/, 0/*valueColumnIndex*/,
    COMBOATTR_READONLY,
    "",
    "",
{
{0, 16, 0, ""},
}
    };

DItem_ComboBoxRsc COMBOBOXID_DataSheetYesNo =
    {
    NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP,
    HOOKITEMID_ComboBoxYesNo, NOARG,
    4, "", "", "", "", NOMASK,
    0/*NO STRINGLIST*/, 5, 0, 0/*fit to Text*/, 0,
    COMBOATTR_READONLY,
    "",
    "",
{
{0, 5, 0, ""},
}
    };
//	This ComboBox is populated on creation by data that depends on
//	its row in the host ListBox
DItem_ComboBoxRsc COMBOBOXID_PerRow =
    {
    NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP,
    HOOKITEMID_ComboBoxPerRow, NOARG,
    16, "", "", "", "", NOMASK,
    0/*NO STRINGLIST*/, 5, 0, 0/*fit to Text*/, 0,
    COMBOATTR_READONLY,
    "",
    "",
{
{0, 16, 0, ""},
}
    };

DItem_TextRsc TEXTID_Color =
   {
   NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP,
   HOOKITEMID_TextColor, NOARG,
   4, "%d", "%d", "0", "254", NOMASK, NOCONCAT,
   "g_dataVars.color",
   "g_dataVars.color"
   };

DItem_TextRsc TEXTID_UserInfo =
   {
   NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, HOOKITEMID_ListCellTextEditor, NOARG,
   25, "%s", "%s", "", "", NOMASK, NOCONCAT,
   "",
   ""
   };


DItem_ToggleButtonRsc  TOGGLEBUTTONID_CheckBox =
     {
     NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP,
     HOOKITEMID_ToggleButton, NOARG,
     NOMASK, NOINVERT,
     "",
     ""
 };

/*----------------------------------------------------------------------+
|                                                                       |
|   Container and dialog item list Items                                |
|                                                                       |
+----------------------------------------------------------------------*/
/*
DItem_ContainerRsc CONTAINERID_TextStyleColorPicker =
    {
    NOCMD, LCMD, NOHELP, MHELP, NOHOOK, NOARG, ICONPOPUPATTR_PADBOTTOM,
    DILISTID_TextStyleColorPicker
    };

DialogItemListRsc DILISTID_TextStyleColorPicker =
    {
    {
    {{4,   4,       XC*32,  XC*32+2},   ColorChooser,   COLORCHOOSERID_Color,           ON, 0, "", ""},
    {{4,   XC*34,   XC*32,  YC*2},      PushButton,     PUSHBUTTONID_TSColorByLevel,    ON, 0, "", ""},
    }
    };
*/
DItem_ContainerRsc CONTAINERID_ColorChooser =
    {
    NOCMD, LCMD, NOHELP, MHELP, NOHOOK, NOARG,
    ICONPOPUPATTR_NOLABEL | ICONPOPUPATTR_ALWAYSBORDERED /* | ICONPOPUPATTR_PADBOTTOM */,
    DILISTID_ColorChooser
    };

DItem_ContainerRsc CONTAINERID_LevelChooser =
    {
    NOCMD, LCMD, NOHELP, MHELP, NOHOOK, NOARG,
    ICONPOPUPATTR_NOLABEL  /* | ICONPOPUPATTR_PADBOTTOM */,
    DILISTID_LevelChooser
    };

DItem_ContainerRsc CONTAINERID_TextEditor =
    {
    NOCMD, LCMD, NOHELP, MHELP, NOHOOK, NOARG,
    ICONPOPUPATTR_NOLABEL  /* | ICONPOPUPATTR_PADBOTTOM */,
    DILISTID_TextEditor
    };


DialogItemListRsc DILISTID_ColorChooser =
    {
    {
    /*
    //	The ColorChooser item is very sensitive to the
    //	width and height specified here
    */
    {{XC*1, YC*0.5, XC*32, YC*16},	ColorChooser,	COLORCHOOSERID_Color,		ON, 0, "", ""},
    /*{{XC*1, YC*34, XC*32, YC* 2+0},	PushButton,		PUSHBUTTONID_ColorChooser,	ON, 0, "", ""},*/
    }
    };

DialogItemListRsc DILISTID_LevelChooser =
    {
    {
    {{XC*1, YC*0.5, XC*16, YC*0},	ComboBox,	COMBOBOXID_Levels,		ON, 0, "", ""},
    /*{{XC*1, YC*34, XC*32, YC* 2+0},	PushButton,		PUSHBUTTONID_LevelChooser,	ON, 0, "", ""},*/
    }
    };

DialogItemListRsc DILISTID_TextEditor =
    {
    {
    {{XC*1, YC*0.5, XC*26, YC*0},	Text,	TEXTID_UserInfo,		ON, 0, "", ""},
    }
    };


/*----------------------------------------------------------------------+
|                                                                       |
|   ColorChooser Items                                                  |
|                                                                       |
+----------------------------------------------------------------------*/
DItem_ColorChooserRsc COLORCHOOSERID_Color =
    {
    NOCMD, MCMD,
    NOSYNONYM,
    NOHELP, MHELPTOPIC,
    HOOKITEMID_ColorChooser, NOARG,
    "",
    "gData.colorNumber"
    };

/*----------------------------------------------------------------------+
|                                                                       |
|   PushButton Item Resource                                            |
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBUTTONID_TSColorByLevel =
    {
    NOT_DEFAULT_BUTTON | PBUTATTR_DYNAMICBORDER | PBUTATTR_THINBORDER,
    NOHELP, LHELPCMD,
    HOOKITEMID_ColorByLevelButton, NOARG, NOCMD, LCMD,
    "", "ByLevel"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   [Dan East]                                                          |
|   I noticed that we don't make the smaller check mark icon public		|
|	so here's the definition of it.  I'll add this to V8.1				|
|                                                                       |
+----------------------------------------------------------------------*/
IconRsc ICONID_SmallCheck =
    {
    12,    12,    FORMAT_MONOBITMAP,    BLACK_INDEX, "Check",
        {
        0x00, 0x00, 0x00, 0x00, 0x20, 0x04, 0x00, 0x80,
        0x08, 0x01, 0x02, 0x10, 0x1a, 0x00, 0xe0, 0x04,
        0x00, 0x00,
        }
    };


/*	Another check icon in FIXEDCOLOR format */
IconRsc ICONID_ColorCheckMark =
    {
    15,    15,    ICONFORMAT_FIXEDCOLORS,    BLACK_INDEX, "",
        {
        11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
        11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
        11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
        11,11,11,11,11,11,11,11,11,11,11, 0,11,11,11,
        11,11,11,11,11,11,11,11,11,11, 0, 0,11,11,11,
        11,11,11,11,11,11,11,11,11, 0, 0, 0,11,11,11,
        11,11,11,11,11,11,11,11, 0, 0, 0,11,11,11,11,
        11,11,11,11,11,11,11, 0, 0, 0,11,11,11,11,11,
        11,11, 0,11,11,11, 0, 0, 0,11,11,11,11,11,11,
        11,11, 0, 0,11, 0, 0, 0,11,11,11,11,11,11,11,
        11,11, 0, 0, 0, 0, 0,11,11,11,11,11,11,11,11,
        11,11,11, 0, 0, 0,11,11,11,11,11,11,11,11,11,
        11,11,11,11, 0,11,11,11,11,11,11,11,11,11,11,
        11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
        11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
        }
    };

IconRsc ICONID_SmallCross =
    {
    12,    12,    FORMAT_MONOBITMAP,    BLACK_INDEX, "Cross",
        {
        0x00, 0x00, 0x00, 0x20, 0x21, 0x0c, 0x09, 0x00,
        0x60, 0x06, 0x00, 0x90, 0x10, 0x82, 0x06, 0x20,
        0x00, 0x00,
        }
    };

IconRsc ICONID_ColorPatch =
    {
    24,    12,    FORMAT_MONOBITMAP,    BLACK_INDEX, "swatch",
        {
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00,
        }
    };
